package handler

import (
	"io"
)

type AssetType int

const (
	Segment AssetType = 0
	MediaPlaylist
	MasterPlaylist
)

type Asset struct {
	Name        string
	Key         string
	Type        AssetType
	ContentType string
	Body        io.Reader
}

type Handler interface {
	AssetAdded(a Asset) error
	AssetRemoved(a Asset) error
}
